<?php
														
	/** PHPExcel */
	require_once 'excel/Classes/PHPExcel.php';
	
	// Creamos nueva instancia de PHPExcel 
	$objPHPExcel = new PHPExcel();
	
	// Seleccionando la fuente a utilizar
	$objPHPExcel->getDefaultStyle()->getFont()->setName('Arial');
	$objPHPExcel->getDefaultStyle()->getFont()->setSize(10);
	
	//combinando celdas
	$objPHPExcel->getActiveSheet()->mergeCells('A1:F1');  
	$objPHPExcel->getActiveSheet()->getStyle('A1')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_JUSTIFY);
	$objPHPExcel->getActiveSheet()->getStyle('A1')->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
	
	
	
	
	// Escribiendo los datos 
	$objPHPExcel->getActiveSheet()->setCellValue('A1','REPORTE DE VENTAS..');
	
	$objPHPExcel->getActiveSheet()->setCellValue('A2','FECHA DE REPORTE:');
	$objPHPExcel->getActiveSheet()->setCellValue('A3','CRITERIO DE FILTRO:');
	
	$objPHPExcel->getActiveSheet()->setCellValue('B2',date("d/m/Y") );
	$objPHPExcel->getActiveSheet()->setCellValue('B3','RANGO DE FECHAS:');
	$objPHPExcel->getActiveSheet()->setCellValue('B4','TIPO DE DOCUMENTO:');
	$objPHPExcel->getActiveSheet()->setCellValue('B5','EMPRESA (SUCURSAL):');
  
  ?>

  
                <?php 
				
				
		$nfila_cabecera = 7;		
		
		//$nfila_cabecera = $nfila - 1;
		
		//$nfila_ano_mes = $nfila_cabecera - 1;


//		$objPHPExcel->getActiveSheet()->mergeCells('A'.$nfila_ano_mes.':F'.$nfila_ano_mes);  
//		$objPHPExcel->getActiveSheet()->getStyle('A'.$nfila_ano_mes)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_JUSTIFY);
//		$objPHPExcel->getActiveSheet()->getStyle('A'.$nfila_ano_mes)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);

//		$objPHPExcel->getActiveSheet()->setCellValue('A'.$nfila_ano_mes, $cmes." - ".$xn);
		
		// Escribiendo los datos 
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$nfila_cabecera,'FECHA DE EMISION DEL COMPROBANTE DE PAGO O DOCUMENTO');
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$nfila_cabecera,'FECHA DE VENCIMIENTO O FECHA DE PAGO');
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$nfila_cabecera,'TIPO');
		$objPHPExcel->getActiveSheet()->setCellValue('D'.$nfila_cabecera,'NRO.SERIE/NRO.SERIE MAQ REGIS');
		$objPHPExcel->getActiveSheet()->setCellValue('E'.$nfila_cabecera,'NUMERO');
		$objPHPExcel->getActiveSheet()->setCellValue('F'.$nfila_cabecera,'TIPO DOCUMENTO IDENTIDAD');
		
		$objPHPExcel->getActiveSheet()->setCellValue('G'.$nfila_cabecera,'NUMERO DOCUMENTO IDENTIDAD');
		$objPHPExcel->getActiveSheet()->setCellValue('H'.$nfila_cabecera,'APELLIDOS Y NOMBRES, DENOMINACION O RAZON SOCIAL');		
		$objPHPExcel->getActiveSheet()->setCellValue('I'.$nfila_cabecera,'VALOR FACTURADO DE LA EXPORTACION');		
		$objPHPExcel->getActiveSheet()->setCellValue('J'.$nfila_cabecera,'BASE IMPONIBLE DE LA OPERACION GRAVADA');				
		$objPHPExcel->getActiveSheet()->setCellValue('K'.$nfila_cabecera,'EXONERADA');		
		$objPHPExcel->getActiveSheet()->setCellValue('L'.$nfila_cabecera,'INAFECTA');		
		$objPHPExcel->getActiveSheet()->setCellValue('M'.$nfila_cabecera,'ISC');
		
		$objPHPExcel->getActiveSheet()->setCellValue('N'.$nfila_cabecera,'IGV Y/O IPM');
		$objPHPExcel->getActiveSheet()->setCellValue('O'.$nfila_cabecera,'OTROS TRIBUTOS Y CARGOS QUE NO FORMAN PARTE DE LA BASE IMPONIBLE');
		$objPHPExcel->getActiveSheet()->setCellValue('P'.$nfila_cabecera,'IMPORTE TOTAL DEL COMPROBANTE DE PAGO');
		$objPHPExcel->getActiveSheet()->setCellValue('Q'.$nfila_cabecera,'GLOSA');
		
		
	

// Nombramos la hoja 
$objPHPExcel->getActiveSheet()->setTitle('pedidos');


// Activamos para que al abrir el excel nos muestre la primer hoja
$objPHPExcel->setActiveSheetIndex(0);


// Guardamos el archivo, en este caso lo guarda con el mismo nombre del php
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
//$objWriter->save(str_replace('.php', '.xlsx', __FILE__));


$xnombre_archivo = 'excel_archivos/reporte_pedidos_consultas_contasis'.time().'.xlsx';

$objWriter->save($xnombre_archivo);

echo "POR AQUI LLEGA 2";
	
/*
if($objWriter){
	echo "SI";
}else{
	echo "NO";
}
*/

?>

  
<script language="javascript">
//function abrir_excel(archivo){
	
	//document.getElementById('d_preocesando').innerHTML="<img src='images/completado.png' width='50' height='50'> <div style='margin-top:10px;'>PROCESO COMPLETADO.</div>";
	location.href = "<?php echo $xnombre_archivo ?>";
	
//}
</script>
  